Subject: RE: FVWM: AnotherLook/FVWM2 help?! Cofig files ignored!

From: "Thomas A. Gardiner" <[email-masked]>
Date: Mon, 22 May 2000 17:03:26 -0400 (EDT)

Peter,

First let me suggest that you do not edit the files directly.  This way
you always have a working set-up to go back to in case of trouble.  When
things work as you like then make changes if you prefer.  Instead, copy
the file you want to edit to your home directory and rename it with a "."
in front and droping the ".m4" suffix.

fvwm2rc.modules.m4 -> ~/.fvwm2rc.modules

As for tutorials and docs on editing the files, all I can suggest is the
man pages for fvwm2 and m4 man pages.  The AnotherLevel package is just m4
preprocessing and fvwm2.  Besides that the people on this list are very
helpful. 

As for the Scale and Geometry not working, look at the fvwm2rc.modules.m4
file and note the section on FvwmButtons above the section on
FvwmPager.  See the Swallow command.  What you see as the pager is a
swallowed app, so the configuration of FvwmButtons also modifies
(currently constrains) the size of the pager.

Tom

On Mon, 22 May 2000, Peter Bismuti wrote:

> The directory is:
>
>/etc/X11/AnotherLevel
>
>I am editing these files directly as I'm the only user.
>
>THe file:
>"fvwm2rc.modules.m4
>
>has a section on the pager:
>
>###########################################################################
>##### Pager - each module configures the pager in it's own way
>Style "FvwmPager"	StickyOnTop, WinCircSkip, NoDecoration
>*FvwmPagerFont -BASIC_FONT-bold-r-*-*-10-*-*-*-*-*-*-*
>*FvwmPagerGeometry +400+0
>*FvwmPagerDeskTopScale 40
>*FvwmPagerLabel 0 Left 
>*FvwmPagerLabel 1 Middle 
>*FvwmPagerLabel 2 Right 
>*FvwmPagerSmallFont SMALL_FONT
>#*FvwmPagerBack #AAAAFF
>#*FvwmPagerFore #000030
>#*FvwmPagerHilight #CAB3CA
>*FvwmPagerHilight #CCCCFF
>#*FvwmPagerBack WINBACK_COLOR
>#*FvwmPagerFore WINFORE_COLOR
>*FvwmPagerWindowColors WINFORE_COLOR WINBACK_COLOR HILIGHTFORE_COLOR
>HILIGHTBACK_COLOR
>*FvwmPagerBalloons
>*FvwmPagerBalloonBack	bisque
>*FvwmPagerBalloonFore	black
>
>
>Changing the Geometry and the DeskTopScale has no effect.
>At one point it mysteriously started working after I changed 
>the background color, then, it stopped working, again for 
>no apparent reason.  I have seen another person write about
>a similar problem but never heard about a solution.  
>
>Also, I'm looking for a tutorial/docs on how to configure these
>files, make the menus, etc.  I could figure it out on my own
>given enough time, but my time is limited.  
>
>THanks for the response!!
>
>
>-----Original Message-----
>From: Thomas A. Gardiner
>To: Peter Bismuti
>Sent: 5/22/00 11:47 AM
>Subject: RE: FVWM: AnotherLook/FVWM2 help?!  Cofig files ignored!
>
>Right, so which files are you editing, what are you calling them and
>where
>are you putting them.  Moreover, what do you want to change? (besides
>everything...)  :->
>
>Tom
>
>On Mon, 22 May 2000, Peter Bismuti wrote:
>
>> 
>>AnotherLevel!  I always make that mistake.
>>
>>It is RedHat's way of implementing 
>>FVWM2/95.  The config files end if *.m4.
>>
>>
>>-----Original Message-----
>>From: Thomas A. Gardiner
>>To: Peter Bismuti
>>Cc: [email-masked]'
>>Sent: 5/22/00 11:22 AM
>>Subject: Re: FVWM: AnotherLook/FVWM2 help?!  Cofig files ignored!
>>
>>What is AnotherLook?   What config files are you editing?
>>
>>Tom
>>
>>On Mon, 22 May 2000, Peter Bismuti wrote:
>>
>>>
>>>I am a newbie (greenie) to AnotherLook,
>>>FVWM2.  In general I do not understand
>>>the config files very well, and what
>>>I do understand does not seem to be
>>>working properly. 
>>>
>>>For example, the Geometry attribute of
>>>the Pager does not work.  For a while, 
>>>it mysteriously started working after
>>>I changed a background color, then,
>>>stopped working just as suddely and
>>>mysteriously.  
>>>
>>>If there is any good docs or other 
>>>resources, or someone willing to spoon
>>>feed me a bit, please let me know.  
>>>
>>>Perhaps someone already has some config
>>>files that are posted?  
>>>
>>>P.S. I use RH6.2
>>>--
>>>Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
>>>To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
>>>message to [email-masked].
>>>To report problems, send mail to [email-masked].
>>>
>>
>>--
>>Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
>>To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
>>message to [email-masked].
>>To report problems, send mail to [email-masked].
>>
>

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].